import * as React from "react";
import { RevealVoteProps } from "./types";
export interface RevealVoteState {
    saltError?: string;
}
export declare class RevealVote extends React.Component<RevealVoteProps, RevealVoteState> {
    constructor(props: RevealVoteProps);
    render(): JSX.Element;
    private validateSalt;
    private onChange;
}
